ddc1c8
From e14d60d17e4447a92c5127e0a5cc3312e0215014 Mon Sep 17 00:00:00 2001
ddc1c8
From: Juerg Haefliger <juerg.haefliger@hp.com>
ddc1c8
Date: Fri, 22 Nov 2013 09:40:21 +0100
ddc1c8
Subject: [PATCH] supress partx usage error
ddc1c8
ddc1c8
---
ddc1c8
 bin/growpart | 2 +-
ddc1c8
 1 file changed, 1 insertion(+), 1 deletion(-)
ddc1c8
ddc1c8
diff --git a/bin/growpart b/bin/growpart
ddc1c8
index 85c2d1f..595c40b 100755
ddc1c8
--- a/bin/growpart
ddc1c8
+++ b/bin/growpart
ddc1c8
@@ -448,7 +448,7 @@ verify_ptupdate() {
ddc1c8
 	fi
ddc1c8
 
ddc1c8
 	if command -v partx >/dev/null 2>&1; then
ddc1c8
-		partx --help | grep -q -- --update || {
ddc1c8
+		partx --help 2>/dev/null | grep -q -- --update || {
ddc1c8
 			reason="partx has no '--update' flag in usage."
ddc1c8
 			found="off"
ddc1c8
 		}
ddc1c8
-- 
ddc1c8
1.8.3.2
ddc1c8